<!DOCTYPE html>
<html lang="nl">
<head>
  <meta charset="utf-8">
  <title>Nummerreeks App | Importeer Formaten</title>
  <link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/static/css/bcd.css">
  <script src="/static/js/jquery-3.5.1.js"></script>
  <script src="/static/js/bootstrap/bootstrap.min.js"></script>
  <script src="/static/js/bcd.util.js"></script>
  <script src="/static/js/bcd.shared.js"></script>
  <script src="/static/js/bcd.dialog.js"></script>
  <script>
    const BASE_PATH = "~%basePath%";
  </script>
</head>
<body>

~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>Importeer Formaten</h1>

~%%include:logo:/html/include/Logo.html%


<div class="center-screen">
  <div class="small-input-container">
    <form id="form0" method="post" enctype="multipart/form-data" action="~%basePath%upload">
      <table id="input-container">
        <tr>
          <td class="left-col" style="vertical-align:middle;">Bestand</td>
          <td class="right-col">
            <div class="custom-file">
              <input type="file" accept="application/json" name="file" class="custom-file-input"
                     id="fileChooser">
              <label class="custom-file-label" for="fileChooser"></label>
            </div>
          </td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>
            <input
                type="radio"
                id="importTypeUpsert"
                name="importType"
                value="upsert"
                checked="checked"
                style="position:relative;top:8px;"
            />
            <label for="importTypeUpsert" style="font-size:90%;line-height:90%">
              Overschrijf formaten met overeenkomstige namen, maar behoudt overige formaten
            </label><br>
            <input
                type="radio"
                id="importTypeReplace"
                name="importType"
                value="replace"
                style="position:relative;top:8px;"
            />
            <label for="importTypeReplace" style="font-size:90%;line-height:90%">
              Huidige formaten eerst weggooien
            </label>
          </td>
        </tr>
      </table>

      <div style="padding:20px 0 5px 0;text-align:center;">
        <button class="btn btn-outline-primary" type="submit">
          Importeren
        </button>
      </div>
    </form>
  </div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%

<script>
  $(document).ready(function () {

    initEditPage();

    $(".custom-file-input").on("change", function () {
      var fileName = $(this).val().split("\\").pop();
      $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
    });

  });
</script>

</body>
</html>